Subject: bug#30460: 27.0.50; `process-command' of a stopped process is t

From: Philipp Stephani <[email-masked]>
Date: Fri, 19 Apr 2019 13:05:44 +0200

Am Sa., 17. Feb. 2018 um 14:25 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > Date: Wed, 14 Feb 2018 23:00:26 +0100
> > From: [email-masked]
> >
> >
> > (process-command
> >    (make-process :name "sleep" :command '("sleep" "1h") :stop t))
> >
> > returns t.
> >
> > This is not documented (the docstring and the manual say that this
> > should only happen for a pipe, network, or serial connection), and
> > breaks M-x list-processes, which assumes that the return value of
> > `process-command' is a list for an ordinary process.
>
> ":stop t" currently has no effect on a "real" process running a
> command, because it is not generally possible to start a process in a
> stopped state.  So it's a Good Thing list-processes fails for such
> bogus "processes" ;-)
>
> We could fix this by either ignoring :stop in make-process, or by
> signaling an error.

I prefer the second option for clarity and will send a patch in a moment.